.share-pin {
  height: 55rem;

  background: #ffffff url("/assets/blob-purple.svg") no-repeat;
  background-position-y: -5rem;
  background-position-x: -5rem;

  border: 1px dashed rgba(41, 69, 151, 0.88);
  box-shadow: 3px 5px 8px rgba(0, 0, 0, 0.06);
  border-radius: 4px;

  display: grid;
  grid-template-columns: 2rem repeat(5, 1fr) 2rem;
  grid-template-rows: 10rem 15rem 10rem auto;

  div:nth-child(1) {
    grid-column: 4/5;
    display: grid;
    align-items: center;
    justify-items: center;
    margin-top: 2.5rem;
  }

  div:nth-child(2) {
    grid-column: 3/6;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 2rem;
    color: #d9d9d9;
  }

  div:nth-child(3) {
    grid-column: 3/6;
    display: grid;
    align-items: center;
    justify-items: center;
  }

  div:nth-child(4) {
    grid-column: 2/7;
    padding: 2rem 0;
    display: flex;
    justify-content: space-around;

    span {
      display: flex;
      justify-content: center;
      align-items: center;
    }
  }

  .pin-entry {
    border: #0d0d0d 1px solid;
    border-radius: 10px;
    background-color: #ffffff;
  }
}

@media screen and (min-width: 650px) {
  .share-pin {
    height: 45rem;
    grid-template-rows: 10rem 10rem 10rem auto;

    background: #ffffff url("/assets/blob-purple.svg") no-repeat;
    background-size: 100rem;

    div:nth-child(4) {
      span {
        #cancel {
          --background: #ffffff;
        }
      }
    }
  }
}

@media screen and (min-width: 1450px) {
  .share-pin {
    background-size: 150rem;

    div:nth-child(3) {
      grid-column: 4/5;
      display: grid;
      align-items: center;
      justify-items: center;
    }
  }
}
